var MAX_PRINT_AT_HOME_PRINT = 10;
var PRINT_AT_HOME_VERSION = "2004,11,16,0"; 

function isPrintAtHomeInstalled()
{
	// Try using ActiveXObject to detect.
	if (isActiveXInstalled("PrintAtHome.PrintControl", PRINT_AT_HOME_VERSION))
	{
		return true;
	}

	// Another way to detect ActiveX.
	try
	{
		var version = PrintControl.ComponentVersion();
		return compareVersion(version, PRINT_AT_HOME_VERSION);
	}
	catch(e){}

	return false;
}

function checkMaxPrintAtHomePrint()
{
	var imageCount = docsCheckCount();
	if (imageCount > MAX_PRINT_AT_HOME_PRINT)
	{
		alert("Sorry! You've selected " + imageCount + 
			  " photos to print. The limit is " + 
			  MAX_PRINT_AT_HOME_PRINT + 
			  " photos at a time. Please change your selection.");
		return false;
	}

	return true;
}
